Browse Source

Ajout ERROR 1524

master
emorino 3 years ago
parent
commit
edb3d86922
1 changed files with 15 additions and 1 deletions
  1. +15
    -1
      HowtoMySQL/Troubleshooting.md

+ 15
- 1
HowtoMySQL/Troubleshooting.md View File

@@ -453,4 +453,18 @@ Pour une restriction sur une seule IP, c'est simple on l'indique dans ce champ.

Pour une restriction par plage IP il faut donner une valeur de la forme `192.168.2.0/255.255.255.0`.
La notation CIDR (`192.168.2.0/24`) n'est pas supportée.
De plus il faut indiquer la première IP du bloc ; dans le cas d'un `/24` c'est `192.168.2.0` et pas `192.168.2.42`.
De plus il faut indiquer la première IP du bloc ; dans le cas d'un `/24` c'est `192.168.2.0` et pas `192.168.2.42`.

## ERROR 1524 (HY000): Plugin '0' is not loaded

Si vous avez cette erreur quand un utilisateur mysql essaye de se connecter et que vous avez ce genre d'erreur dans les logs :

~~~
[Warning] 'user' entry 'foo@bar' has both a password and an authentication plugin specified. The password will be ignored.
~~~

C'est que l'utilisateur utilise un plugin obsolète où qui n'existe pas, cela peut se solutionner avec :

~~~
update user set plugin='' where User='user';
~~~

Loading…
Cancel
Save